%global srcname setuptools_scm
%global sum The blessed package to manage your versions by scm tags

%bcond_with tests

Name:           python-%{srcname}
Version:        4.1.2
Release:        %mkrel 2
Summary:        %{sum}
Group:          Development/Python
License:        MIT
URL:            https://pypi.python.org/pypi/setuptools_scm
Source0:        https://files.pythonhosted.org/packages/source/s/%{srcname}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

# For tests
%if %{with tests}
BuildRequires:  python3-pip
BuildRequires:  python3-pytest
BuildRequires:  python3-six
BuildRequires:  python3-toml
BuildRequires:  git-core
BuildRequires:  mercurial
%endif

%description
Setuptools_scm handles managing your python package versions in scm metadata.
It also handles file finders for the suppertes scms.

%package -n python3-%{srcname}
Summary:        %{sum}
Group:          Development/Python
Obsoletes:      python3-setuptools-scm < 3.5.0-2
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
Setuptools_scm handles managing your python package versions in scm metadata.
It also handles file finders for the suppertes scms.

%{?python_extras_subpkg:%{python_extras_subpkg -n python3-setuptools_scm -i %{python3_sitelib}/%{srcname}-*.egg-info toml}}


%prep
%autosetup -n %{srcname}-%{version} -p1

# drop bundled egg-info
rm -rf src/setuptools_scm.egg-info/

%build
%py3_build

%install
%py3_install

%if %{with tests}
%check
PYTHONPATH=%{buildroot}%{python3_sitelib} py.test-%{python3_version} -v -k 'not (test_pip_download or test_old_setuptools_fails or test_old_setuptools_allows_with_warnings or test_distlib_setuptools_works)'
%endif

%files -n python3-%{srcname}
%license LICENSE
%doc CHANGELOG.rst README.rst
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/%{srcname}-*.egg-info


%changelog
* Fri Dec 25 2020 daviddavid <daviddavid> 4.1.2-2.mga8
+ Revision: 1663552
- build python extras subpkg

* Mon Nov 02 2020 guillomovitch <guillomovitch> 4.1.2-1.mga8
+ Revision: 1641740
- new version 4.1.2

* Thu Apr 23 2020 kekepower <kekepower> 3.5.0-1.mga8
+ Revision: 1571199
- Update to version 3.5.0

* Sun Feb 16 2020 umeabot <umeabot> 3.3.3-3.mga8
+ Revision: 1530607
- Mageia 8 Mass Rebuild

* Wed Sep 04 2019 wally <wally> 3.3.3-2.mga8
+ Revision: 1437158
- rebuild with new python-rpm-macros

* Tue Sep 03 2019 wally <wally> 3.3.3-1.mga8
+ Revision: 1436789
- new version 3.3.3
- drop python2 support
- rebuild for python3.8

* Sat Apr 20 2019 wally <wally> 3.2.0-1.mga7
+ Revision: 1393859
- new version 3.2.0

* Sat Jan 05 2019 wally <wally> 3.1.0-2.mga7
+ Revision: 1349491
- rebuild for python3.7 without tests

* Tue Jan 01 2019 wally <wally> 3.1.0-1.mga7
+ Revision: 1348025
- new version 3.1.0
- enable tests

* Thu Sep 20 2018 umeabot <umeabot> 2.0.0-2.mga7
+ Revision: 1290023
- Mageia 7 Mass Rebuild

* Fri Apr 20 2018 kekepower <kekepower> 2.0.0-1.mga7
+ Revision: 1220475
- Update to version 2.0.0
- Use python_provide

* Sat Aug 05 2017 pterjan <pterjan> 1.15.5-3.mga7
+ Revision: 1135631
- Rebuild for python 3.6

* Sun May 14 2017 ngompa <ngompa> 1.15.5-2.mga6
+ Revision: 1101163
- Port to Mageia
- imported package python-setuptools_scm


* Mon Apr 10 2017 Orion Poplawski <orion@cora.nwra.com> - 1.15.5-1
- Update to 1.15.5

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.15.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Feb 04 2017 Kevin Fenzi <kevin@scrye.com> - 1.15.0-1
- Update to 1.15.0

* Tue Dec 13 2016 Stratakis Charalampos <cstratak@redhat.com> - 1.13.0-2
- Rebuild for Python 3.6

* Mon Oct 10 2016 Parag Nemade <pnemade AT redhat DOT com> - 1.13.0-1
- Update to 1.13.0

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.10.1-4
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Jan 4 2016 Orion Poplawski <orion@cora.nwra.com> - 1.10.1-2
- No python2 package on EPEL (setuptools too old)

* Thu Dec 17 2015 Orion Poplawski <orion@cora.nwra.com> - 1.10.1-1
- Update to 1.10.1

* Wed Dec 2 2015 Orion Poplawski <orion@cora.nwra.com> - 1.9.0-1
- Update to 1.9.0

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.0-3
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Mon Oct 19 2015 Orion Poplawski <orion@cora.nwra.com> - 1.8.0-2
- Cleanup stray .pyc files from tests

* Sat Sep 19 2015 Orion Poplawski <orion@cora.nwra.com> - 1.8.0-1
- Update to 1.8.0
- Fix license tag

* Mon Sep 14 2015 Orion Poplawski <orion@cora.nwra.com> - 1.7.0-1
- Initial package
